From 0dbfc3965c3abebdc388af2ddcc9bd46a73a63b2 Mon Sep 17 00:00:00 2001
From: Eric Blake <eblake@redhat.com>
Date: Fri, 26 Jul 2019 15:32:02 -0500
Subject: [PATCH] snapshot: Fix tests/virsh-snapshot

Creating an 'exp' output file, but never comparing it against the
actual output, does not actually constitute testing the output. :)

Fixes: 280a2b41e
Signed-off-by: Eric Blake <eblake@redhat.com>
---
 tests/virsh-snapshot | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/tests/virsh-snapshot b/tests/virsh-snapshot
index b23d949f62..1034140cde 100755
--- a/tests/virsh-snapshot
+++ b/tests/virsh-snapshot
@@ -207,6 +207,8 @@ Descendants:    0
 Metadata:       yes
 
 EOF
+sed '1,/^virsh #/d; /virsh #/d' < out > out.cooked || fail=1
+compare exp out.cooked || fail=1
 
 cat <<EOF > exp || fail=1
 error: invalid argument: parent s3 for moment s2 not found